## golang-github-opentracing-opentracing-go 1.0.2

=== Makefile ===
PACKAGES := . ./mocktracer/... ./ext/...

.DEFAULT_GOAL := test-and-lint

.PHONE: test-and-lint

test-and-lint: test lint

.PHONY: test
test:
	go test -v -cover ./...

cover:
	@rm -rf cover-all.out
	$(foreach pkg, $(PACKAGES), $(MAKE) cover-pkg PKG=$(pkg) || true;)
	@grep mode: cover.out > coverage.out
	@cat cover-all.out >> coverage.out
	go tool cover -html=coverage.out -o cover.html
	@rm -rf cover.out cover-all.out coverage.out

cover-pkg:
	go test -coverprofile cover.out $(PKG)
	@grep -v mode: cover.out >> cover-all.out

.PHONY: lint
lint:
	go fmt ./...
	golint ./...
	@# Run again with magic to exit non-zero if golint outputs anything.
	@! (golint ./... | read dummy)
	go vet ./...

=== debian/changelog ===
golang-github-opentracing-opentracing-go (1.0.2-1) unstable; urgency=medium

  * Initial release. Closes: #870191.

 -- Martín Ferrari <tincho@debian.org>  Sun, 30 Jul 2017 20:57:39 +0000

=== debian/control ===
Source: golang-github-opentracing-opentracing-go
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev,
               golang-golang-x-net-dev,
Standards-Version: 4.0.0
Homepage: https://github.com/opentracing/opentracing-go
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-opentracing-opentracing-go.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-opentracing-opentracing-go.git
XS-Go-Import-Path: github.com/opentracing/opentracing-go
Testsuite: autopkgtest-pkg-go

Package: golang-github-opentracing-opentracing-go-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-stretchr-testify-dev,
         golang-golang-x-net-dev,
Description: Go platform API for OpenTracing
 By offering consistent, expressive, vendor-neutral APIs for popular platforms,
 OpenTracing makes it easy for developers to add (or switch) tracing
 implementations with an O(1) configuration change. OpenTracing also offers a
 lingua franca for OSS instrumentation and platform-specific tracing helper
 libraries.
 .
 This package is a Go platform API for OpenTracing.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-opentracing-opentracing-go-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/opentracing/opentracing-go/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-opentracing-opentracing-go 1.2.0

=== debian/changelog ===
golang-github-opentracing-opentracing-go (1.2.0-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Jelmer Vernooĳ ]
  * Change priority extra to priority optional.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Arnaud Rebillout ]
  * Update watch file to version 4
  * Update gitlab-ci.yml
  * Section = golang
  * Rules-Requires-Root = no
  * Standards-Version = 4.5.1
  * Bump debhelper compat
  * Update Go Team email address
  * Nitpick, re-order fields in d/control
  * New upstream version 1.2.0
  * Update license according to change upstream: MIT -> Apache
  * Build-Depends -= golang-golang-x-net-dev
  * Drop shlibs:Depends from -dev package
  * Update gbp.conf, drop Pristine-Tar

 -- Arnaud Rebillout <elboulangero@gmail.com>  Fri, 08 Jan 2021 15:23:39 +0700

=== debian/control ===
Source: golang-github-opentracing-opentracing-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-opentracing-opentracing-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-opentracing-opentracing-go.git
Homepage: https://github.com/opentracing/opentracing-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/opentracing/opentracing-go

Package: golang-github-opentracing-opentracing-go-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-stretchr-testify-dev,
Description: Go platform API for OpenTracing
 By offering consistent, expressive, vendor-neutral APIs for popular platforms,
 OpenTracing makes it easy for developers to add (or switch) tracing
 implementations with an O(1) configuration change. OpenTracing also offers a
 lingua franca for OSS instrumentation and platform-specific tracing helper
 libraries.
 .
 This package is a Go platform API for OpenTracing.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-opentracing-opentracing-go-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/opentracing/opentracing-go/tags .*/v?(\d\S*)\.tar\.gz debian
